curl --request GET \
--url https://api.quiverquant.com/beta/historical/housetrading/{ticker} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiverquant.com/beta/historical/housetrading/{ticker}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiverquant.com/beta/historical/housetrading/{ticker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiverquant.com/beta/historical/housetrading/{ticker}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiverquant.com/beta/historical/housetrading/{ticker}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiverquant.com/beta/historical/housetrading/{ticker}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiverquant.com/beta/historical/housetrading/{ticker}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"Representative": "<string>",
"Party": "<string>",
"BioGuideID": "<string>",
"ReportDate": "2023-11-07T05:31:56Z",
"Date": "2023-11-07T05:31:56Z",
"Ticker": "<string>",
"Transaction": "<string>",
"Range": "<string>",
"District": "<string>",
"House": "<string>",
"Amount": 0,
"last_modified": "2023-11-07T05:31:56Z",
"TickerType": "<string>",
"Description": "<string>",
"ExcessReturn": 123,
"PriceChange": 123,
"SPYChange": 123
}
]Historical House Trading
Returns all the stock transactions by U.S. Representatives involving the given ticker.
curl --request GET \
--url https://api.quiverquant.com/beta/historical/housetrading/{ticker} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiverquant.com/beta/historical/housetrading/{ticker}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiverquant.com/beta/historical/housetrading/{ticker}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiverquant.com/beta/historical/housetrading/{ticker}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiverquant.com/beta/historical/housetrading/{ticker}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiverquant.com/beta/historical/housetrading/{ticker}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiverquant.com/beta/historical/housetrading/{ticker}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"Representative": "<string>",
"Party": "<string>",
"BioGuideID": "<string>",
"ReportDate": "2023-11-07T05:31:56Z",
"Date": "2023-11-07T05:31:56Z",
"Ticker": "<string>",
"Transaction": "<string>",
"Range": "<string>",
"District": "<string>",
"House": "<string>",
"Amount": 0,
"last_modified": "2023-11-07T05:31:56Z",
"TickerType": "<string>",
"Description": "<string>",
"ExcessReturn": 123,
"PriceChange": 123,
"SPYChange": 123
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Ticker for any given stock
Response
Name of Congressperson who made the transaction
Political party of the congressperson who made the trade
BioGuide ID of the congressperson who made the transaction
Date the transaction was reported
Date the transaction took place
Ticker of shares transacted
Purchase or Sale
District of the congressperson
Representatives or Senate
Lower bound of transaction size ($). Congressional trades are reported as a range of values, this variable is the lower bound of that range
Date that Quiver last updated the details of this transaction
Reported type of asset traded. Note: CS and ST are commonly used as abbreviated for common stock
Transaction description
Estimated return of stock compared to return of S&P 500 since the transaction date
Percentage change in stock price since the transaction date
Percentage change in S&P 500 since the transaction date

